import {httpApi} from "../../request/httpApi";

export default {
    //分页数据
    async getPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/page',
            method: 'get',
            params: form
        }, msg)
    },
    //获取系统所有角色划分
    async queryAllRoleList(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/queryAllRoleList',
            method: 'get',
            params: form
        }, msg);
    },
    //详情
    async queryFixedFlowDetail(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/detail',
            method: 'get',
            params: form
        }, msg);
    },
    //新增
    async addFixedFlowData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/save',
            method: 'post',
            data: form
        }, msg);
    },
    //修改
    async updateFixedFlowData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/update',
            method: 'post',
            data: form
        }, msg);
    },
    //删除
    async removeFixedFlowData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/fixedFlow/remove',
            method: 'post',
            params: form
        }, msg);
    },
}
